"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* @internal */
class ConcatIterable {
    constructor(xs, ys) {
        this.xs = xs;
        this.ys = ys;
    }
    [Symbol.iterator]() {
        return concatIters(this.xs, this.ys);
    }
}
exports.ConcatIterable = ConcatIterable;
function* concatIters(xs, ys) {
    for (const x of xs) {
        yield x;
    }
    for (const y of ys) {
        yield y;
    }
}
