"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* @internal */
class ConsIterable {
    constructor(x, xs) {
        this.x = x;
        this.xs = xs;
    }
    [Symbol.iterator]() {
        return cons(this.x, this.xs);
    }
}
exports.ConsIterable = ConsIterable;
function* cons(x, xs) {
    yield x;
    for (const y of xs) {
        yield y;
    }
}
