"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* @internal */
class MapIterable {
    constructor(f, xs) {
        this.f = f;
        this.xs = xs;
    }
    [Symbol.iterator]() {
        return map(this.f, this.xs);
    }
}
exports.MapIterable = MapIterable;
function* map(f, xs) {
    for (const x of xs) {
        yield f(x);
    }
}
