"use strict";
var __asyncValues = (this && this.__asyncValues) || function (o) {
    if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
    var m = o[Symbol.asyncIterator], i;
    return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
    function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
    function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
};
var __await = (this && this.__await) || function (v) { return this instanceof __await ? (this.v = v, this) : new __await(v); }
var __asyncDelegator = (this && this.__asyncDelegator) || function (o) {
    var i, p;
    return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
    function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
};
var __asyncGenerator = (this && this.__asyncGenerator) || function (thisArg, _arguments, generator) {
    if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
    var g = generator.apply(thisArg, _arguments || []), i, q = [];
    return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
    function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
    function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
    function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
    function fulfill(value) { resume("next", value); }
    function reject(value) { resume("throw", value); }
    function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../common");
/* @internal */
class ConcatAsyncIterable {
    constructor(xs, ys) {
        this.xs = xs;
        this.ys = ys;
    }
    [Symbol.asyncIterator]() {
        return concatItersAsync(this.xs, this.ys);
    }
}
exports.ConcatAsyncIterable = ConcatAsyncIterable;
function concatItersAsync(xs, ys) {
    return __asyncGenerator(this, arguments, function* concatItersAsync_1() {
        var e_1, _a;
        yield __await(yield* __asyncDelegator(__asyncValues(xs)));
        if (common_1.isIterable(ys)) {
            for (const y of ys) {
                yield yield __await(y);
            }
        }
        else {
            try {
                for (var ys_1 = __asyncValues(ys), ys_1_1; ys_1_1 = yield __await(ys_1.next()), !ys_1_1.done;) {
                    const y = ys_1_1.value;
                    yield yield __await(y);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (ys_1_1 && !ys_1_1.done && (_a = ys_1.return)) yield __await(_a.call(ys_1));
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
    });
}
