"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* @internal */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function isIterable(x) {
    return typeof x[Symbol.iterator] === "function";
}
exports.isIterable = isIterable;
/* @internal */
function* enumFrom(start, step) {
    for (let i = start;; i += step) {
        yield i;
    }
}
exports.enumFrom = enumFrom;
